<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Clauses_install
 *
 * Установка модуля "Статьи"
 */

$title = "Статьи";

$sql = array(
	"INSERT INTO {modules} (name, module_name, site, admin) VALUES ('clauses', 'clauses', '1', '1')",

	"CREATE TABLE {clauses} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL DEFAULT '',")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		map_no_show ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		created INT(12) UNSIGNED NOT NULL DEFAULT '0',
		cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL DEFAULT '',")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL DEFAULT '',")."
		".multilang("textLANG text NOT NULL DEFAULT '',")."
		prior ENUM('0', '1') NOT NULL DEFAULT '0',
		timeedit INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`access` ENUM('0', '1') NOT NULL DEFAULT '0',
		theme VARCHAR(50) NOT NULL DEFAULT '',
		view VARCHAR(50) NOT NULL DEFAULT '',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY site_id (site_id)
	) CHARSET=utf8",

	"CREATE TABLE {clauses_category} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL DEFAULT '',")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		map_no_show ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		parent_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		count_children SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL DEFAULT '',")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL DEFAULT '',")."
		".multilang("textLANG text NOT NULL DEFAULT '',")."
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		timeedit INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`access` ENUM('0', '1') NOT NULL DEFAULT '0',
		theme VARCHAR(50) NOT NULL DEFAULT '',
		view VARCHAR(50) NOT NULL DEFAULT '',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY parent_id (parent_id),
		KEY site_id (site_id)
	) CHARSET=utf8",

	"CREATE TABLE {clauses_category_parents} (
		id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
		element_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		parent_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY (id)
	) CHARSET=utf8",

	"CREATE TABLE {clauses_category_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		9,
		".multilang("'".$title."',", "'Article',", "'',")."
		".multilang("'1',")."
		'9',
		'".time()."',
		'clauses'
	);",

	"INSERT INTO {rewrite} (id, rewrite, module_name, site_id) VALUES (9, 'clauses', 'site', 9)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('clauses', 'images', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('clauses', 'big_width', '600')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('clauses', 'big_height', '600')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('clauses', 'big_quality', '90')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('clauses', 'medium_width', '100')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('clauses', 'medium_height', '100')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('clauses', 'medium_quality', '80')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('clauses', 'list_img', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('clauses', 'use_animation', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('clauses', 'format_date', '2')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('clauses', 'nastr', '10')"
);

$adminsite = array ( 9 => array ( 'name'     => 'Статьи',
								  'rewrite'  => 'clauses',
								  'group_id' => '1',
								  'text'     => '<p>Статьи с датой больше текущей начнут отображаться на сайте с указанной даты.<br />
		<a href="base_path_href/clauses/config/">Настройки модуля &quot;Статьи&quot;</a>.</p>
		<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
								  'numrow'   => '836583',
								  'sort'     => '5',
								  'act'      => '1',
								  'child'    => array ( 0 => array ( 'name'     => 'Статьи',
																	 'rewrite'  => 'clauses',
																	 'group_id' => '1',
																	 'text'     => '<p>Статьи с датой больше текущей начнут отображаться на сайте с указанной даты.<br />
		<a href="base_path_href/clauses/config/">Настройки модуля &quot;Статьи&quot;</a>.</p>
		<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
																	 'numrow'   => '923',
																	 'sort'     => '8',
																	 'act'      => '1', ),
														1 => array ( 'name'     => 'Категории',
																	 'rewrite'  => 'clauses/category',
																	 'group_id' => '1',
																	 'text'     => '<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
																	 'numrow'   => '6',
																	 'sort'     => '9',
																	 'act'      => '1', ),
														2 => array ( 'name'     => 'Настройки',
																	 'rewrite'  => 'clauses/config',
																	 'group_id' => '1',
																	 'text'     => '<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
																	 'numrow'   => '3',
																	 'sort'     => '10',
																	 'act'      => '0', ), ), ) );

$example = array(
	"UPDATE {site} SET
		".multilang(
			"text='<p>Наш ведущий рубрики &quot;Статьи&quot; - сторож зоопарка, раз в неделю рассказывает здесь интересные истории, случающиеся с ним периодически.</p>'",

			", text2='<p>Our leader of a heading of &quot;Articles&quot; - the watchman of a zoo, once a week tells here the interesting stories happening with it periodically.</p>'",

			""
		)."
	WHERE id=9",
	
	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		cat_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		count_children,
		sort
	) VALUES (
		9,
		'site',
		9,
		1,
		".multilang("'Статьи', ", "'Article', ", "")."
		".multilang("'1', ")."
		2,
		9
	)",

	"INSERT INTO {clauses} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."created, site_id,".multilang("anonsLANG,")." ".multilang("textLANG,")."timeedit) VALUES (
		1,
		".multilang("'Нашествие бабочек',", "'Invasion of butterflies',", "'',")."
		".multilang("'1',")."
		'".(time() - 86400)."',
		9,
		".multilang(
			"'Сразу после нового года ко входу в зоопарк прилетела стая желтых бабочек! Мы пытались их отогнать, но бабочки стояли на своем и пролетели в вольер ко льву.',",
			"'Right after new year to an input in a zoo the flight of yellow butterflies has arrived! We tried to drive away them, but butterflies held the ground and have flown by in an open-air cage to a lion.',",
			"'',"
		)."
		".multilang(
			"'<p>Непонятно,&nbsp;как они узнали,&nbsp;что наш лев больше всего на свете любит бабочек? Он с ними может играть с утра до вечера. Просит,&nbsp;чтобы бабочки садились ему на мокрый нос,&nbsp;а потом чихает. Потом опять просит. Бабочки сначала боялись льва,&nbsp;но вскоре привыкли к нему и уже не могут провести дня,&nbsp;не увидя льва. <br />\r\n<br />\r\nОднажды лев заболел. И в назначенное время не вышел играть с бабочками. Бабочки не на шутку испугались и полетели за врачом. Если бы врач пришел чуть позже,&nbsp;то льва бы уже вовсе не было с нами (у него размокла лапа и он не мог ходить). Доктор посушил лапку феном и лев снова смог играть с бабочками. <br />\r\n<br />\r\nА сколько львих он охмурил с помощью бабочек? Не сосчитать. На апоссумов уже стал заглядываться. План охмурения прост до наглости. Бабочка пролетая мимо львихи театрально падала на землю и стонала. Лев подбегал,&nbsp;нежно брал ее в лапы,&nbsp;дул на бабочку и та оживала на глазах изумленно львихи. Потом лев говрил,&nbsp;что от его поцелуя вообще исцеляются все болезни и проходят невзгоды. И все... львиха его. <br />\r\n<br />\r\nВот такая может быть дружба..</p>',",
			"'<p>Not clearly, how they have learnt, what our lion above all loves butterflies? He with them can play all day long. Asks, that butterflies sat down to it on a wet nose, and then sneezes. Then again asks. Butterflies at first were afraid of a lion, but have soon got used to it and cannot spend day any more, not see a lion.<br /><br />Once the lion was ill. And in due time did not leave to play with butterflies. Butterflies outright were frightened and have departed for the doctor. If the doctor has come a bit later the lion already at all would not be with us. The doctor desiccate a pad the hair dryer also is left again could to play with butterflies.<br /><br />And how many lions it deceive by means of butterflies? Not to count. On opossum already began to admire. The plan of deception is simple to impudence. The butterfly flying by by львихи theatrically fell to the ground and groaned. The lion ran up, gently took it in paws, barrels on the butterfly and that revived in the face of with amazement lions. It is Then left talk that all illnesses in general recover from its kiss and pass a hardship. And all... lions it.<br /><br />Here the such can be friendship.</p>',",
			"'',"
		)."
		'".time()."'
	);",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		cat_id,
		element_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		22,
		'clauses',
		9,
		1,
		1,
		9,
		".multilang("'Нашествие бабочек',", "'Invasion of butterflies',", "'',")."
		".multilang("'1', ")."
		22
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (22, 9)",

	"INSERT INTO {clauses} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."created, site_id,".multilang("anonsLANG,")." ".multilang("textLANG,")."timeedit) VALUES (
		2,
		".multilang("'Головоногий пингвин-бобёр',", "'Headfoot penguin-beaver',", "'',")."
		".multilang("'1',")."
		'".time()."',
		9,
		".multilang(
			"'Самка слона и ее друг крокодил родили на свет нового обитателя нашего зоопарка - головоногого пингвина-бобра!',",
			"'The female of an elephant and its friend a crocodile have given birth on light of the new inhabitant of our zoo - headfoot to a penguin-beaver!',",
			"'',"
		)."
		".multilang(
			"'<p>Стоит рассказать,&nbsp;как произошла роковая встреча Слонихи и Крокодила. Была черная ночь. Слонихе,&nbsp;как и всегда,&nbsp;нечего было делать и она решила выйти прогуляться по зоопарку. Проходя мимо&nbsp;клетки с крокодилом,&nbsp;она услышала дивную мелодию. Это пел крокодил. Он чистил зубы маленькой птичкой перед сном. Слонихе очень понравился крокодил,&nbsp;и на утро они вдвоем пошли к мастеру по новым животным и попросили сделать им плод их чувств. Мастер долго веретел лист бумаги и,&nbsp;наконец,&nbsp;принялся за работу. <br />\r\n<br />\r\nВ&nbsp;итоге получился зверек,&nbsp;которому впоследствии дали имя Крокослон и отнесли к виду Головоногого пингвина-бобра.</p>',",
			"'<p>It is necessary to tell, how there was a fatal meeting of the Elephant cow and the Crocodile. There was a black night. To an elephant cow, as well as always, there was nothing to do and she has decided to leave to walk on a zoo. Passing by a cage with a crocodile, she has heard a lovely tune. It was sung by a crocodile. It cleaned a teeth a small birdie before a dream. The elephant cow very much liked a crocodile, and for the morning two of them have gone to the master on new animals and have asked to make it a fruit of their feelings. The master long веретел a sheet of paper and, at last, was accepted to work.<br /><br />As a result the small animal to whom Krokoslon subsequently have named has turned out and have carried to a kind of Golovonogogo of a penguin-beaver.</p>',",
			"'',"
		)."
		'".time()."'
	);",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		cat_id,
		element_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		23,
		'clauses',
		9,
		1,
		2,
		9,
		".multilang("'Головоногий пингвин-бобёр',", "'Headfoot penguin-beaver',", "'',")."
		".multilang("'1', ")."
		23
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (23, 9)"
);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_clauses()
{
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/clauses'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/clauses', 0777);
	}
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/clauses/small'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/clauses/small', 0777);
	}
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/clauses/medium'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/clauses/medium', 0777);
	}
}

/**
 * Выполняет действия для установки примеров заполнения модуля
 * 
 * @return void
 */
function module_example_clauses()
{
	$array = array(
		1 => array(1 => 'nashestvie-babochek'),
		2 => array(2 => 'golovonogij-pingvin-bober')
	);
	$module = 'clauses';
	foreach ($array as $k => $a)
	{
		foreach ($a as $id => $name)
		{
			$name = $name.'_'.$id.'.jpg';
			DB::query("INSERT INTO {images} (id, name, module_name, element_id, sort) VALUES ('%d', '%s', '%s', '%d', '%d')", $id, $name, $module, $k, $id);

			if (! file_exists(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name))
			{
				copy('http://cms.diafan.ru/files4.2/'.$module.'/'.$name, ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name);
				copy('http://cms.diafan.ru/files4.2/'.$module.'/small/'.$name, ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name);
				copy('http://cms.diafan.ru/files4.2/'.$module.'/medium/'.$name, ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$name);
			}

			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name, 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name, 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$name, 0777);
		}
	}
}