<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Шаблон первой страницы модуля "Впорос-Ответ"
 */

if (empty($result["categories"]))
	return false;

//категории
foreach ($result["categories"] as $cat_id => $cat)
{
	echo '<div class="faq_list">';

	//название категории
	echo '<h2>'.$cat["name"].'</h2>';

	//краткое описание категории
	if (! empty($cat["anons"]))
	{
		echo '<div class="faq_cat_anons">'.$cat["anons"].'</div>';
	}

	//подкатегории
	if (! empty($cat["children"]))
	{
		foreach ($cat["children"] as $child)
		{
			echo '<div class="faq_cat_link">';

			//название и ссылка подкатегории
			echo '<a href="'.BASE_PATH_HREF.$child["link"].'">'.$child["name"].'</a></div>';

			//краткое описание подкатегории
			if (! empty($child["anons"]))
			{
				echo '<div class="faq_cat_anons">'.$child["anons"].'</div>';
			}
			echo '</div>';
		}
	}

	//вопросы в категории
	if ($cat["rows"])
	{
		foreach ($cat["rows"] as $row)
		{
			echo '<div class="faq">';

			//дата вопроса
			if (! empty($row['date']))
			{
				echo '<div class="faq_date">'.$row["date"]."</div>";
			}

			//вопрос и ссылка на полную версию
			echo '<div class="faq_question">';
			echo '<a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["anons"].'</a>';
				//рейтинг вопроса
				if (! empty($row["show_rating"])) echo $row["show_rating"];
			echo '</div>';

			//ответ
			echo '<div class="faq_answer">'.$row["text"].'</div>';

			echo '</div>';
		}
	}
	//ссылка на все вопросы в категории
	if ($cat["link_all"])
	{
		echo '<div class="show_all"><a href="'.BASE_PATH_HREF.$cat["link_all"].'">'
		.$this->_('SHOW_ALL_QUESTIONS_IN_CATEGORY').' '.$this->_('LQUOT').$cat["name"].$this->_('RQUOT')
		.'</a></div>';
	}
	echo '</div>';
}

//форма добавления вопроса
if (! empty($result["form"]))
{
	$this->get('form', 'faq', $result["form"]);
}