$(document).ready(function(){
        $('.images_upload').change(function(){
		var button = $(this);
		$(this).parents('form').ajaxSubmit({
			type : 'POST',
			data : {action: 'upload', module : 'images'},
			dataType: 'json',
			url: window.location.href,

			beforeSubmit: function(a,form,o) {
				$('.errors').hide();
			},

			success: function(response, statusText, xhr, form)
			{
				if (response.error)
				{
					$(form).find(".error_images").html(response.error).show();
				}
                                if(response.errors && response.errors['image'])
                                {
                                        $(form).find(".error_images").html(response.errors['image']).show();
                                }
				if (response.id)
				{
					$(form).find("input[name=id]").val(response.id);
				}
				if (response.data && response.target)
				{
					$(response.target).html(prepare(response.data));
					$('input[name=image]').val('');
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
				return false;
			}
		});
		return false;
	});
        
	$('.watermark_upload').click(function(){
		var button = $(this);
		$(this).parents('form').ajaxSubmit({
			type : 'POST',
			data : {action: 'upload_watermark', module : 'images'},
			dataType: 'json',
			url: window.location.href,

			beforeSubmit: function(a,form,o) {
				$('.errors').hide();
			},

			success: function(response, statusText, xhr, form)
			{
				if (response.error)
				{
					$(form).find(".error_watermark").html(response.error).show();
				}
                                if(response.errors && response.errors['watermark'])
                                {
                                        $(form).find(".error_watermark").html(response.errors['watermark']).show();
                                }
				if (response.data && response.target)
				{
					$(response.target).html(prepare(response.data));
					$('input[name=watermark]').val('');
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
				return false;
			}
		});
		return false;
	});

	$(".images_actions a").live('click', function() {
		var self = $(this);
		if (! self.attr("action"))
		{
			return true;
		}
		if (self.attr("confirm") && ! confirm(self.attr("confirm")))
		{
			return false;
		}
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: self.attr("action"),
				module: 'images',
				element_id : self.parents(".images_actions").attr("element_id"),
				image_id : self.parents(".images_actions").attr("image_id"),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.error)
				{
					$(".error_images").html(response.error).show();
				}
                                if(response.errors && response.errors['image'])
                                {
                                        $(form).find(".error_images").html(response.errors['image']).show();
                                }
				if (response.target)
				{
					$(response.target).html(prepare(response.data));
				}
				else
				{
					$(th).parents(".images_actions").html(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});

	$(".watermark_actions a, .watermark_actions input[type=checkbox]").live('click', function() {
		var self = $(this);
		if (! self.attr("action"))
		{
			return true;
		}
		if (self.attr("confirm") && ! confirm(self.attr("confirm")))
		{
			return false;
		}
		$('.loading-resize').show();
		$('.errors').hide();
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: self.attr("action"),
				module: 'images',
				file : self.parents(".watermark_actions").attr("file"),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				$('.loading-resize').hide();
				if (response.error)
				{
					$(".error_watermark").html(response.error).show();
				}
                                if(response.errors && response.errors['watermark'])
                                {
                                        $(form).find(".error_watermark").html(response.errors['watermark']).show();
                                }
				if (response.target)
				{
					$(response.target).html(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});

	$("#resize input[type=button]").live('click', function() {
		var self = $(this);
		if (self.attr("confirm") && ! confirm(self.attr("confirm")))
		{
			return false;
		}
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'resize',
				module: 'images',
				values: $('#save').serialize(),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.error)
				{
					$(".error_resize").html(response.error).show();
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});

	$(".images_actions, .watermark_actions").live('mouseover', function(){
		$(this).addClass('hover');
		$(this).find('.images_button').show();
	});

	$(".images_actions, .watermark_actions").live('mouseout', function(){
		$(this).removeClass('hover');
		$(this).find('.images_button').hide();
	});

	$(".ajax_save_image").live('click', function(){
		var self = $(this);
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'save',
				module: 'images',
				element_id : self.parents(".images_actions").attr("element_id"),
				image_id : self.parents(".images_actions").attr("image_id"),
				check_hash_user : $('.check_hash_user').text(),
				alt : self.parents("div").find("input[name=alt]").val(),
				title : self.parents("div").find("input[name=title]").val()
			},
			success : (function(response)
			{
				if (response.data && response.target)
				{
					$(response.target).html(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
	});
});