<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Шаблон формы регистрации
 */
echo '<script type="text/javascript" src="' . BASE_PATH . 'modules/registration/registration.js"></script>';
if (!empty($result["user_id"]))
{
	echo '<h2>'.$this->_('EDIT_DATA').'</h2>';
}
echo '<form action="' . $result["action"] . '" method="POST" class="registration_form ajax">
	<input type="hidden" name="ajax" value="">
	<input type="hidden" name="module" value="registration">
	<input type="hidden" name="url" value="' . $result["url"] . '">
	<input type="hidden" name="action" value="' . (!empty($result["user_id"]) ? 'edit' : 'addnew') . '">';
if (!empty($result["user_id"]))
{
	echo '<input type="hidden" name="check_hash_user" value="' . $result["hash"] . '">';
}
echo '<div class="infofield">' . $this->_('NAME_SURNAME') . (empty($result["user_id"]) ? '<font color="red">*</font>' : '') . ':</div>
	<input type = "text" maxLength="70" name="fio" size="40" class="inptext" value="' . $result["fio"] . '">
	<div class="errors error_fio"' . ($result["error_fio"] ? '>' . $result["error_fio"] : ' style="display:none">') . '</div>

	<div class="infofield">' . $this->_('EMAIL') . (empty($result["user_id"]) ? '<font color="red">*</font>' : '') . ':</div>
	<input type = "text" maxLength="70" name="mail" size="40" class="inptext" value="' . $result["mail"] . '">
	<div class="errors error_mail"' . ($result["error_mail"] ? '>' . $result["error_mail"] : ' style="display:none">') . '</div>

	<div class="infofield">' . $this->_('LOGIN') . (empty($result["user_id"]) ? '<font color="red">*</font>' : '') . ':</div>
	<input type = "text" maxLength="70" name="name" size="40" class="inptext" value="' . $result["name"] . '">
	<div class="errors error_name"' . ($result["error_name"] ? '>' . $result["error_name"] : ' style="display:none">') . '</div>

	<div class="infofield">' . $this->_('PASSWORD') . (empty($result["user_id"]) ? '<font color="red">*</font>' : '') . ':</div>
	<input type = "password" maxLength="70" name="password" size="40" class="inptext">
	<div class="errors error_password"' . ($result["error_password"] ? '>' . $result["error_password"] : ' style="display:none">') . '</div>

	<div class="infofield">' . $this->_('RETURN_PASSWORD') . (empty($result["user_id"]) ? '<font color="red">*</font>' : '') . ':</div>
	<input type="password" maxLength="70" name="password2" size="40" class="inptext">';

if ($result["use_avatar"])
{
	echo '<div class="infofield">' . $this->_('AVATAR') . ':</div>
		<div class="registration_avatar">';
	if (!empty($result["avatar"]))
	{
		echo $this->get('avatar', 'registration', $result);
	}
	echo '
		</div>
		<input type="file" name="avatar" class="inpfile">
		<div class="registration_text">' . sprintf($this->_('AVATAR_INFO'), $result["avatar_width"], $result["avatar_height"]) . '</div>
		<div class="errors error_avatar"' . ($result["error_avatar"] ? '>' . $result["error_avatar"] : ' style="display:none">') . '</div>';
}

if (!empty($result["language"]))
{
	echo '<div class="infofield">' . $this->_('LANGUAGE') . ':</div>
		<select name="language" class="inpselect">';
	foreach ($result["language"] as $row)
	{
		echo '
			<option value="' . $row["value"] . '"' . $row["selected"] . '>' . $row["name"] . '</option>';
	}

	echo '</select>';
}

$result_param = $result;
$result_param["name"] = "rows_param";
$result_param["prefix"] = "";
$this->get('show_param', 'registration', $result_param);
if (!empty($result["dop_rows_param"]))
{
	echo '<div class="registration_dop_param"><h2>'.$this->_('ADDITIONAL_FIELDS').'</h2>';
	$result_param = $result;
	$result_param["name"] = "dop_rows_param";
	$result_param["prefix"] = "dop_";
	$this->get('show_param', 'registration', $result_param);
	echo '</div>';
}

if (!empty($result['subscribtion']))
{
	echo '<div class="registration_subscribtion"><h2>'.$this->_('SUBSCRIBTION').'</h2>' . $result['subscribtion'] . '</div>';
}

echo $result["captcha"];
echo '<br>
<span class="button_wrap"><input type="submit" value="' . (!$result["user_id"] ? $this->_('REGISTRATION', FALSE) : $this->_('SAVE', FALSE)) . '" class="button"></span>
<div class="errors error"' . ($result["error"] ? '>' . $result["error"] : ' style="display:none">') . '</div>
</form>';