<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

if (empty($result['order']))
	return TRUE;

$status = array(0 => _ADMIN_SHOPORDER_STATUS_0,
	1 => _ADMIN_SHOPORDER_STATUS_1,
	2 => _ADMIN_SHOPORDER_STATUS_2,
	3 => _ADMIN_SHOPORDER_STATUS_3);

$select_arr["color"] = array(
	0 => "red",
	1 => "blue",
	2 => "gray",
	3 => "darkgreen"
);

echo '<h2>'.$this->_('OUR_ORDERS').'</h2>';
echo '<table border="0" style="width:100%">
		<tr>
		<th><b>№</b></td>
		<th><b>'.$this->_('CREATED').'</b></td>
		<th><b>'.$this->_('GOODS').'</b></td>
		<th><b>'.$this->_('STATUS').'</b></td>
		<th><b>'.$this->_('SUM').'</b></td>
		</tr>';

foreach ($result['order'] as $order)
{
	echo '<tr>';
	echo '<td>' . $order['id'] . '</td>';
	echo '<td>' . $order['created'] . '</td>';
	echo '<td><div class="order_goods">';

	if (!empty($order['goods']))
	{
		foreach ($order['goods'] as $tovar)
		{
			echo $tovar . '<br>';
		}
	}

	echo '</div></td>';

	echo '<td>';
	echo '<span style="color:' . $select_arr["color"][$order["status"]] . ';font-weight: bold;">';
	echo $status[$order['status']];
	echo '</span>';
	echo '</td>';
	echo '<td>' . $order['summ'] . '</td>';
	echo '</tr>';
}

echo '
<tr>
	<td colspan=4 align=right>'.$this->_('TOTAL_ORDERS').': </td>
	<td><b>' . $result['itogo'] . '</b></td>
</tr>';
echo '</table>';