<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

if (empty($result["rows_param"]))
{
	return FALSE;
}

echo '<h2>Дополнительные поля</h2>
<form method="POST" action="" class="order_form ajax">
<input type="hidden" name="module" value="order">
<input type="hidden" name="action" value="step2">
<input type="hidden" name="ajax" value="">';


foreach ($result["rows_param"] as $row)
{
	$value = !empty($row['value']) ? $row['value'] : '';
	echo '<div class="order_form_param' . $row["id"] . '">';
	if ($row["type"] == 'text' || $row["type"] == "email")
	{
		echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>
			<input type="text" name="p' . $row["id"] . '" size="40" value="' . $value . '" class="inptext">';
	}
	elseif ($row["type"] == 'textarea')
	{
		echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>
			<textarea name="p' . $row["id"] . '" class="inptext" rows="10" cols="30">' . $value . '</textarea>';
	}
	elseif ($row["type"] == 'date')
	{

		echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>
			<input type="text" name="p' . $row["id"] . '" size="20" value="' . ($value ? date("d.m.Y", $value) : '') . '" class="inptext timecalendar" showTime="FALSE">';
	}
	elseif ($row["type"] == 'numtext')
	{
		echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>
			<input type="text" name="p' . $row["id"] . '" size="5" value="' . $value . '" class="inpnum">';
	}
	elseif ($row["type"] == 'checkbox')
	{
		echo '<div class="infofield"><input type="checkbox" name="p' . $row["id"] . '" value="1" class="inpcheckbox"' . ($value ? ' checked' : '') . '>
			' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . '</div>';
	}
	elseif ($row["type"] == 'select')
	{
		echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>
			<select name="p' . $row["id"] . '" class="inpselect">
				<option value="">-</option>';
		foreach ($row["select_array"] as $select)
		{
			echo '<option value="' . $select["id"] . '"' . ($value == $select["id"] ? ' selected' : '') . '>' . $select["name"] . '</option>';
		}
		echo '
			</select>';
	}
	elseif ($row["type"] == 'multiple')
	{
		echo '<div class="infofield">' . $row["name"] . ($row["required"] ? '<font color="red">*</font>' : '') . ':</div>';
		foreach ($row["select_array"] as $select)
		{
			echo '<br><input name="p' . $row["id"] . '[]" type="checkbox" value="' . $select["id"] . '"' . ($value && in_array($select["id"], $value) ? ' checked' : '') . ' class="inpcheckbox"> ' . $select["name"];
		}
	}
	echo '<div class="order_form_param_text">' . $row["text"] . '</div>
		</div>
		<div class="errors error_p' . $row["id"] . '"' . ($result["error_p" . $row["id"]] ? '>' . $result["error_p" . $row["id"]] : ' style="display:none">') . '</div>';
}

echo '<span class="button_wrap"><input type="submit" value="' . $this->_('SAVE', FALSE) . '" class="button"></span>
<div class="errors error"' . ($result["error"] ? '>' . $result["error"] : ' style="display:none">') . '</div>
</form>';