<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

if (empty($result['rows']))
{
	echo $this->_('SHOP_COMPARE_EMPTY');
	return;
}

echo '<script type="text/javascript" src="' . BASE_PATH . 'modules/shop/shop.compare.js"></script>
<script type="text/javascript" src="' . BASE_PATH . 'js/jcarousellite_1.0.1.min.js"></script>';

echo '
<div class="shop_compare_page">
	<div class="shop_compare_left">
		<div class="shop_compare_description">
			<h3>' . $this->_('SHOP_COMPARE') . '</h3>
			<div><a href="#" class="compare_all">' . $this->_('SHOP_COMPARE_ALL_PARAMS') . '</a></div>
			<div><a href="#" class="compare_difference">' . $this->_('SHOP_COMPARE_ONLY_DIFFERENT_PARAMS') . '</a></div>
		</div>';

if (!empty($result['existed_params']))
{
	echo '<div class="shop_existed_params">';

	foreach ($result['existed_params'] as $param)
	{
		echo '<div class="shop_param_existed param_id_' . $param['id'] . ' '
		. (in_array($param['id'], $result["param_differences"]) ? ' shop_param_difference ' : '')
		. '">' . $param['name'] . '</div>';
	}

	echo '</div>';
}

echo '
		</div>
		<div class="shop_compare_list">
		<div class="carousel default">

			<div class="jCarouselLite">
			<ul>';

foreach ($result["rows"] as $row)
{
	echo '<li class="shop shop_compared_goods_' . $row["id"] . '">
			<div class="shop_basic">
				<div class="shop_name">
				<a href="' . BASE_PATH_HREF . $row["link"] . '">' . $row["name"] . '</a>
				</div>';

	if (!empty($row["img"]))
	{
		echo '<div class="shop_img">';
		foreach ($row["img"] as $img)
		{
			switch ($img["type"])
			{
				case 'animation':
					echo '<a href="' . BASE_PATH . $img["link"] . '" rel="prettyPhoto[gallery' . $row["id"] . 'shop]">';
					break;
				case 'big_image':
					echo '<a href="' . BASE_PATH . $img["link"] . '" rel="big_image" width="' . $img["link_width"] . '" height="' . $img["link_height"] . '">';
					break;
				default:
					echo '<a href="' . BASE_PATH_HREF . $img["link"] . '">';
					break;
			}
			echo '<img src="' . $img["src"] . '" width="' . $img["width"] . '" height="' . $img["height"] . '" alt="' . $img["alt"] . '" title="' . $img["title"] . '">'
			. '</a> ';
		}
		echo '</div>';
	}

	if (!empty($row["article"]))
	{
		echo '<div class="shop_article">' . $this->_('ARTICLE')
		. ': <span class="shop_article_value">' . $row["article"] . '</span></div>';
	}

	if (!empty($row["discount"]))
	{
		echo '<div class="shop_discount">' . $this->_('DISCOUNT')
		. ': <span class="shop_discount_value">' . $row["discount"] . ' %'
		. ($row["discount_finish"] ? ' (' . $this->_('TO') . ' ' . $row["discount_finish"] . ')' : '')
		. '</span></div>';
	}

	if (!empty($row["price"]))
	{
		echo '<div class="shop_price">' . $this->_('PRICE')
		. ': <span class="shop_price_value">' . $row["price"] . '</span>
				<span class="shop_price_currency">' . $result["currency"] . '</span></div>';

		if (!empty($row["old_price"]))
		{
			echo '<div class="shop_old_price">' . $this->_('OLD_PRICE')
			. ': <span class="shop_price_value">' . $row["old_price"] . '</span>'
			. ' <span class="shop_price_currency">' . $result["currency"] . '</span>
					</div>';
		}
	}

	$this->get('form', 'shop', array("row" => $row, "result" => $result));

	echo '</div>';
	echo '<div class="shop_compare_param">';

	if (!empty($row["param"]))
	{
		$this->get('compare_param', 'shop', array("params" => $row["param"], "existed_params" => $result['existed_params'], "param_differences" => $result["param_differences"]));
	}
	echo '</div>';
	$this->get('compare_delete_form', 'shop', $row);

	echo '</li>';
}

echo '     </ul>
		</div>';
if (count($result['rows']) > 3)
{
	echo '<span class="button_wrap"><button class="prev button">&#171;</button></span><span class="button_wrap"><button class="next button">&#187;</button></span>';
}

echo '
		<div class="clear"></div>   
	</div>
</div>
</div>';