<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Шаблон вывода кнопки "Купить", в котором каждой характеристике, влияющей на цену выведена отдельная кнопка "Купить"
 */
 
if (!$result["result"]["buy"])
	return false;

if (empty($result["row"]['price']) && empty($result["row"]['price_arr']))
	return false;

if ($result["row"]["no_buy"] || !$result["row"]["count"])
{
	echo '<div class="shop_no_buy">' . $this->_('NO_BUY') . '</div>';
	return false;
}

if (! empty($result["row"]["price_arr"]))
{
	$depends_param = array();
	foreach ($result["result"]["depends_param"] as $param)
	{
		$depends_param[$param["id"]]["name"] = $param["name"];
		foreach($param["values"] as $value)
		{
			$depends_param[$param["id"]]["values"][$value["id"]] = $value["name"];
		}
	}
	foreach($result["row"]["price_arr"] as $price)
	{
		echo '<form method="post" action="" class="shop_form ajax">
			<input type="hidden" name="addshop" value="' . $result["row"]["id"] . '">
			<input type="hidden" name="module" value="shop">
			<input type="hidden" name="action" value="buy">
			<input type="hidden" name="ajax" value="">';
			echo '<div class="shop_form_param">';
			foreach($price["param"] as $param)
			{
				echo '<input type="hidden" name="param'.$param["id"].'" value="'.$param["value"].'">';
				echo $depends_param[$param["id"]]["name"].': '.$depends_param[$param["id"]]["values"][$param["value"]];
			}
			echo '</div>';
			echo '<div class="shop_price">' . $this->_('PRICE') . ': <span class="shop_price_value">' . $price["price"] . '</span> <span class="shop_price_currency">' . $result["result"]["currency"] . '</span></div>';
			if (!empty($price["old_price"]))
			{
				echo '<div class="shop_old_price">' . $this->_('OLD_PRICE') . ': <span class="shop_price_value">' . $price["old_price"] . '</span>'
				. ' <span class="shop_price_currency">' . $result["result"]["currency"] . '</span></div>';
			}
			if (! $price["count"])
			{
				echo '<span class="shop_no_buy">' . $this->_('NO_BUY') . '</span>';
			}
			else
			{
				if (empty($result["row"]['is_file']))
				{
					echo '<input type="text" class="inpnum" value="1" name="count" size="1">';
				}
				echo '<span class="button_wrap"><input type="submit" class="button" value="' . $this->_('BUY', false) . '"></span>';
			}
			if($result["result"]["wishlist_link"])
			{
				echo '<span class="button_wrap"><input type="button" class="button" value="'.$this->_('WISH', false).'" action="wish"></span>';
			}
			echo '<div class="error">';
			if (!empty($price["count_in_cart"]))
			{
				echo sprintf($this->_('GOOD_IN_CART'), BASE_PATH_HREF . $result["result"]["cart_link"], $price["count_in_cart"]);
			}
			echo '</div>
			</form>';
	}
}
else
{
	echo '
	<form method="post" action="" class="shop_form ajax">
	<input type="hidden" name="addshop" value="' . $result["row"]["id"] . '">
	<input type="hidden" name="module" value="shop">
	<input type="hidden" name="ajax" value="">
	<input type="text" class="inpnum" value="1" name="count" size="1">';
	if(! empty($result["row"]['price_param']))
	{
		foreach($result["row"]['price_param'] AS $param)
		{
			echo '<input type="hidden" name="param'.$param["id"].'" value="'.$param["value"].'">';
		}
	}
	echo '<span class="button_wrap"><input type="submit" class="button" value="' . $this->_('BUY', false) . '"></span>
	<div class="error">';
	if (!empty($result["row"]["count_in_cart"]))
	{
		echo sprintf($this->_('GOOD_IN_CART'), BASE_PATH_HREF . $result["result"]["cart_link"], $result["row"]["count_in_cart"]);
	}
	echo '</div>
	</form>';
}
