<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Шаблон вывода параметров товара
 */
foreach ($result as $param)
{
	echo '<div class="shop_param' . ($param["type"] == 'title' ? '_title' : '') . '">' . $param["name"];
	if ($param["value"])
	{
		echo ': <span class="shop_param_value">';
		if (!empty($param["link"]))
		{
			echo '<a href="' . BASE_PATH_HREF . $param["link"] . '">' . $param["value"] . '</a>';
		}
		elseif (is_array($param["value"]))
		{
			//$param["value"] = array_unique($param["value"]);
			foreach ($param["value"] as $p)
			{
				if ($param["value"][0] != $p)
				{
					echo ', ';
				}
				if (is_array($p))
				{
					if ($p["link"])
					{
						echo '<a href="' . BASE_PATH_HREF . $p["link"] . '">' . $p["name"] . '</a>';
					}
					else
					{
						echo $p["name"];
					}
				}
				else
				{
					echo $p;
				}
			}
		}
		else
		{
			echo $param["value"];
		}
		//единицы измерения
		if(! empty($param["measure_unit"]) && $param["type"] == 'numtext')
		{
			echo ' '.$param["measure_unit"];
		}
		echo '</span>';
	}
	echo '</div>';
}