<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Subscribtion_admin_category
 *
 * Редактирование категорий рассылки
 */
class Subscribtion_admin_category extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'subscribtioncategory';

	/**
	 * @var string таблица в базе данных
	 */
	public $table = 'subscribtion_category';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->nastr = 100;

		//поля в базе данных для редактирования
		$this->variable_table = array(
			'main'=>
array (
  'name' => 'text',
  'act' => 'checkbox',
  'text' => 'editor',
),
'other_rows'=>
array (
  'parent_id' => 'select',
)
		);

		//поля, которые прячутся в Дополнительно
		$this->variable_other = array(
			'parent_id' => 1
		);

		//переводимые поля
		$this->language_names = array(
			'name',
			'text'
		);

		$this->config_module = array(
			'parent'       => 1, //содержит вложенности
			'order'        => 1, //сортируется
			'act'          => 1, //показать/скрыть
			'del'          => 1, //удалить
			'category'     => 1, //часть модуля - категории
			'category_rel' => 1, //работают вместе с таблицей {module_category_rel}
			'trash'        => 1  //использовать корзину
		);
	}

	/**
	 * Выводит список категорий
	 * @return boolean true
	 */
	public function show_module()
	{
		$this->addnew_init(_ADMIN_ADD_CATEGORY);
		
		$this->list_row();
		

		return true;
	}
}