<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Banners_admin_category
 *
 * Редактирование категорий статей
 */
class Banners_admin_category extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file	=	'bannerscategory';

	/**
	 * @var string таблица в базе данных
	 */
	public $table	=	'banners_category';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->nastr = 100;
		
		//поля в базе данных для редактирования
		$this->variable_table = array(
			'main'=>
			array (
				'name' => 'text',
				'act' => 'checkbox',
			)
		);
		if(! $this->diafan->addnew)
		{
			$this->variable_table['other_rows'] = array ('number' => 'function');
		}

		$this->config_module = array(
			'order'        => 1, //сортируется
			'act'          => 1, //показать/скрыть
			'del'          => 1, //удалить
			'category'     => 1, //часть модуля - категории
			'trash'        => 1  //использовать корзину	
		);

		if (! extension_loaded('gd') && ! extension_loaded('gd2'))
		{
			$this->diafan->error = 7;
		}
	}

	/**
	 * Выводит список категорий
	 * @return boolean true
	 */
	public function show_module()
	{
		$this->addnew_init(_ADMIN_ADD_CATEGORY);
		
		$this->list_row();	
		

		return TRUE;
	}
}