<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN')) {
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Шаблон вывода формы редактирования корзины товаров, оформления заказа
 */

echo '<script type="text/javascript" src="' . BASE_PATH . 'modules/cart/cart.js"></script>';

echo '<form action="" method="POST" enctype="multipart/form-data" class="cart_table_form">
<input type="hidden" name="module" value="cart">
<input type="hidden" name="action" value="recalc">
<input type="hidden" name="ajax" value="">
<div class="errors error_table"' . ($result["error_table"] ? '>' . $result["error_table"] : ' style="display:none">') . '</div>
<div class="cart_table">';
echo $this->get('table', 'cart', $result); //вывод таблицы с товарами
echo '</div>';
echo '<div class="cart_recalc">';
// кнопка пересчитать
echo '<span class="button_wrap"><input type="submit" class="button" value="' . $this->_('RECALCULATE', false) . '"></span>';
echo '</div>';
echo '</form>';
if (empty($result["rows"]))
{
	return false;
}

echo '<div class="cart_order">';

if($result["show_auth"])
{
	echo '<div class="cart_autorization">';
	echo $this->_('ORDER_AUTHORIZATION');
	echo '<br>';
	echo $this->get('show_login', 'registration', $result["show_login"]);
	echo '</div>';

	echo '<div class="cart_registration">';
	echo $this->_('ORDER_REGISTRATION');
	$this->get('form', 'registration', $result["registration"]);
	echo '</div>';
}

echo '
<form method="POST" action="" class="cart_form ajax">
<input type="hidden" name="module" value="cart">
<input type="hidden" name="action" value="order">
<input type="hidden" name="ajax" value=""><br><br>';

if (! empty($result["rows_param"]))
{
	foreach ($result["rows_param"] as $row)
	{
		$value = ! empty($result["user"]['p'.$row["id"]]) ? $result["user"]['p'.$row["id"]] : '';

		echo '<div class="order_form_param'.$row["id"].'">';
		if ($row["type"] == 'text' || $row["type"] == "email")
		{
			echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
			<input type="text" name="p'.$row["id"].'" size="40" value="'.$value.'" class="inptext">';
		}
		elseif ($row["type"] == 'textarea')
		{
			echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
			<textarea name="p'.$row["id"].'" class="inptext" rows="10" cols="30">'.$value.'</textarea>';
		}
		elseif ($row["type"] == 'date' || $row["type"] == 'datetime')
		{
			echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
				<input type="text" name="p'.$row["id"].'" size="20" value="'.($value ? $value : '').'" class="inptext timecalendar" showTime="'
				.($row["type"] == 'datetime' ? 'true' : 'false').'">';
		}
		elseif ($row["type"] == 'numtext')
		{
			echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
			<input type="text" name="p'.$row["id"].'" size="5" value="'.$value.'" class="inpnum">';
		}
		elseif ($row["type"] == 'checkbox')
		{
			echo '<div class="infofield"><input type="checkbox" name="p'.$row["id"].'" value="1" class="inpcheckbox"'.($value ? ' checked' : '').'>
			'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').'</div>';
		}
		elseif ($row["type"] == 'select')
		{
			echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
			<select name="p'.$row["id"].'" class="inpselect">
				<option value="">-</option>';
			foreach ($row["select_array"] as $select)
			{
				echo '<option value="'.$select["id"].'"'.($value == $select["id"] ? ' selected' : '').'>'.$select["name"].'</option>';
			}
			echo '
			</select>';
		}
		elseif ($row["type"] == 'multiple')
		{
			echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>';
			foreach ($row["select_array"] as $select)
			{
				echo '<br><input name="p'.$row["id"].'[]" type="checkbox" value="'.$select["id"].'"'.($value && in_array($select["id"], $value) ? ' checked' : '').' class="inpcheckbox"> '.$select["name"];
			}
		}
		echo '<div class="order_form_param_text">'.$row["text"].'</div>
		</div>
		<div class="errors error_p'.$row["id"].'"'.($result["error_p".$row["id"]] ? '>'.$result["error_p".$row["id"]] : ' style="display:none">').'</div>';
	}
}

if(! empty($result["payments"]))
{
	echo '<p>'.$this->_('SELECT_PAYMENT').':</p>';
	foreach($result["payments"] as $row)
	{
		echo '<p><input name="payment_id" value="'.$row['id'].'" type="radio" '.($row == $result["payments"][0] ? 'checked' : '').'> '.$row['name'];
		if(! empty($row['text']))
		{
			echo '<div class="cart_payment_text">'.$row['text'].'</div>';
		}
		echo '</p>';
	}
}
echo '<span class="button_wrap"><input type="submit" value="'.$this->_('TO_ISSUE', false).'" class="button"></span>';
echo '<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>
</form>';
echo '</div>';