<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Шаблон формы добавления комментария
 */

$text = '
<form method="POST" action="" id="comments'.($result["parent_id"] ? $result["parent_id"].'_result' : '').'" class="ajax comments_form">
<input type="hidden" name="module" value="comments">
<input type="hidden" name="parent_id" value="'.$result["parent_id"].'">
<input type="hidden" name="ajax" value="0" class="ajax">';

if(! $result["parent_id"])
{
	$text .= '<h2>'.$this->_('ADD_COMMENTS').'</h2>';
}

if (! empty($result["params"]))
{
	foreach ($result["params"] as $row)
	{
		$text .= '<div class="comments_form_param'.$row["id"].'">';
		if ($row["type"] == 'text' || $row["type"] == "email")
		{
			$text .= '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>';
			$text .= '<input type="text" name="p'.$row["id"].'" size="40" value="" class="inptext">';
		}
		elseif ($row["type"] == 'textarea')
		{
			$text .= '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>';
			$text .= '<textarea name="p'.$row["id"].'" class="inptextarea" rows="10" cols="30"></textarea>';
		}
		elseif ($row["type"] == 'date' || $row["type"] == 'datetime')
		{
			$timecalendar  = TRUE;
			$text .= '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
				<input type="text" name="p'.$row["id"].'" size="20" value="" class="inptext timecalendar" showTime="'
				.($row["type"] == 'datetime'? 'true' : 'false').'">';
		}
		elseif ($row["type"] == 'numtext')
		{
			$text .= '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>';
			$text .= '<input type="text" name="p'.$row["id"].'" size="5" value="" class="inpnum">';
		}
		elseif ($row["type"] == 'checkbox')
		{
			$text .= '<div class="infofield"><input type="checkbox" name="p'.$row["id"].'" value="1" class="inpcheckbox">
			'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').'</div>';
		}
		elseif ($row["type"] == 'select')
		{
			$text .= '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>';
			$text .= '<select name="p'.$row["id"].'" class="inpselect">';
			$text .= '<option value="">-</option>';
			foreach ($row["select_array"] as $select)
			{
				$text .= '<option value="'.$select["id"].'">'.$select["name"].'</option>';
			}
			$text .= '</select>';
		}
		elseif ($row["type"] == 'multiple')
		{
			$text .= '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>';
			$text .= '<select name="p'.$row["id"].'[]" class="inpselect" multiple="multiple">';
			$text .= '<option value="">-</option>';
			foreach ($row["select_array"] as $select)
			{
				$text .= '<option value="'.$select["id"].'">'.$select["name"].'</option>';
			}
			$text .= '</select>';
		}
		if($row["text"])
		{
			$text .= '<div class="comments_form_param_text">'.$row["text"].'</div>';
		}
		$text .= '</div>';
		$text .= '<div class="errors error_p'.$row["id"].'"'.($result["error_p".$row["id"]] ? '>'.$result["error_p".$row["id"]] : ' style="display:none">').'</div>';
	}
}

$text .= '<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>';
if($result["bbcode"])
{
	$text .= $this->get('get', 'bbcode', array("name" => "comment", "tag" => "comments".$result["parent_id"], "value" => ""));
}
else
{
	$text .= '<textarea name="comment" class="inptextarea"></textarea>';
}
$text .= '<br>';

//Защитный код
$text .= $result["captcha"];

//Кнопка Отправить
$text .= '<span class="button_wrap"><input type="submit" value="'.$this->_('SEND', FALSE).'" class="button"></span>'
.'</form>';

return $text;