<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Faq_admin_count
 *
 * Количество неотвеченных сообщений из формы вопрос-ответ для меню административной панели
 */
class Faq_admin_count
{
	/**
	 * Возвращает количество неотвеченных сообщений из формы вопрос-ответ для меню административной панели
	 * @return integer
	 */
	public static function count($diafan)
	{
		$count = DB::query_result("SELECT COUNT(*) FROM {faq} WHERE text='' AND trash='0'");
		return $count;
	}
}