<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (!defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Files_admin_config
 *
 * Конфигурирование модуля "Файловый архив"
 */
class Files_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'files_config';

	/**
	 * Конструктор класса
	 *
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table = array ( 'config'=> array ( 'nastr'                 => 'numtext',
														   'hr1'                   => 'hr',
														   'attachment_extensions' => 'text',
														   'hr2'                   => 'hr',
														   'cat'                   => 'checkbox',
														   'count_list'            => 'numtext',
														   'childrens_elements'    => 'checkbox',
														   'hr3'                   => 'hr',
														   'images'                => 'module',
														   'hr4'                   => 'hr',
														   'comments'              => 'module',
														   'tags'                  => 'module',
														   'rating'                => 'module',
														   'themes'                => 'function',
														   'theme_list'            => 'none',
														   'view_list'             => 'none',
														   'theme_first_page'      => 'none',
														   'view_first_page'       => 'none',
														   'theme_id'              => 'none',
														   'view_id'               => 'none', ) );

		$this->config_module = array ( 'element_site' => 1, //делит элементы по разделам (страницы сайта, к которым прикреплен модуль)
									   'config'       => 1 //файл настроек модуля
		);

		$this->show_tr_click_checkbox = array ( 'cat' => array ( 'count_list', 'childrens_elements' ) );
	}
}