<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

class Map_admin_ajax
{
	/**
	 * @var object основной объект системы
	 */
	public $diafan;

	/**
	 * @var array результаты, передаваемы Ajaxом
	 */
	private $result;

	/**
	 * Конструктор класса
	 *
	 * @return void
	 */
	public function __construct($frame)
	{
		$this->diafan = $frame->diafan;

		if(!empty($_POST['action']))
		{
			switch($_POST['action'])
			{
				case 'tiny_list':
					$_POST['parent_id']=(int)preg_replace("/\D/",'',$_POST['parent_id']);
					$this->tiny_list($_POST['parent_id']);
					break;
			}
		}
	}

	private function tiny_list($parent_id)
{

	if($parent_id==0) { echo '
	<style>
	#diafan_map { height: 160px; overflow-y: scroll; overflow-x: hidden;}
	#diafan_map ul { margin: 0; padding: 0; padding-left:5px;  }
	#diafan_map li { list-style-type: none; line-height: 1.6em;   }
	#diafan_map li:hover { background-color: #F0F0EE; }
	#diafan_map li li:hover { background-color: #dbdbd9; }
	#diafan_map b { font-weight: bold; }
	</style>
	<br><fieldset><legend>Карта сайта</legend><div id="diafan_map">'; }

	echo '<ul parent_id="'.$parent_id.'">';

	$result = DB::query("SELECT id, [name], count_children FROM {site} WHERE [act]='1' AND trash='0' AND parent_id='%d' AND block='0' ORDER BY sort ASC", $parent_id);
	while ($row = DB::fetch_array($result))
	{
		echo '<li site_id="'.$row["id"].'">';
		if ($row["count_children"])
		{
			echo '<a href="#" class="plus b">+</a>';
		}
		else
		{
			echo '&nbsp;&nbsp;';
		}

		echo '&nbsp;<a href="'.BASE_PATH._SHORTNAME.$this->diafan->_route->link($row['id']).'" class="link">'.$row["name"].'</a></li>';

	}
	echo '</ul>';

	if($parent_id==0) { echo '</div></fieldset>'; }
}
}