<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Menu_admin_edit
 * 
 * Редактирование полей, связанных с работой модуля "Меню"
 */
class Menu_admin_edit
{
	/**
	 * Редактирование поля "Показывать в меню"
	 * 
	 * @return boolean
	 */
	public static function edit(&$th)
	{
		$show_in_menu = array();
		if (! $th->diafan->addnew)
		{
			if ($th->diafan->module == 'site')
			{
				$name_menu = 'site_id';
			}
			elseif ($th->config_module["category"])
			{
				$name_menu = 'module_cat_id';
			}
			else
			{
				$name_menu = 'element_id';
			}
			$result = DB::query("SELECT cat_id FROM {menu} WHERE module_name='%h' AND ".$name_menu."=%d AND trash='0' AND [act]='1'", $th->diafan->module, $th->diafan->edit);
			while ($row = DB::fetch_array($result))
			{
				$show_in_menu[] = $row["cat_id"];
			}
		}

		echo '
		<tr valign="top">
			<td class="td_first">'.$th->variable_names().'</td>
			<td>';
			$result = DB::query("SELECT id, name FROM {menu_category} WHERE trash='0' ORDER BY id ASC");
			while ($row = DB::fetch_array($result))
			{
				echo '<input type="checkbox" name="menu_cat_ids[]" value="'.$row["id"].'"'.(in_array($row["id"], $show_in_menu) ? ' checked' : '').'> '.$row["name"].'<br>';
			}
			echo $th->show_help_row().'
			</td>
		</tr>';
		return true;
	}
}