var search;
var cat_id;
$(document).ready(function(){
	$(".shop_clone").live('click', function () { 
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'clone_good',
				module: 'shop',
				id:$(this).attr('rel'),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				alert('Товар склонирован в список товаров с приставкой КОПИЯ');
			})
		});
	});
	$('.fast_edit_price a').live('click', function(){
		if($(this).text() == '↓')
		{
			$(this).text('↑');
		}
		else
		{
			$(this).text('↓');
		}
		$(this).parents('.fast_edit_price').find('div').toggle();
		return false;
	});
        
	$(".rel_good").live('mouseover', function(){
		$(this).addClass("hover");
		$(this).find(".rel_good_actions").show();
	});
	$(".rel_good").live('mouseout', function(){
		$(this).removeClass("hover");
		$(this).find(".rel_good_actions").hide();
	});        
	$(".rel_good_actions a").live('click', function() {
		var self = $(this);
		if (self.attr("action") != 'delete_rel_good')
		{
			return true;
		}
		if (! confirm(self.attr("confirm")))
		{
			return false;
		}
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'delete_rel_good',
				module: 'shop',
				element_id : self.parents(".rel_good").attr("element_id"),
				rel_id : self.parents(".rel_good").attr("rel_id"),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				self.parents(".rel_good").remove();

				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});
	$('.rel_shop_plus').click(function() {
		var self = $(this);
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'show_rel_goods',
				module: 'shop',
				element_id: $('input[name=id]').val(),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.data)
				{
					$("#rel_shop_container").html(prepare(response.data));
					$.prettyPhoto.open("#rel_shop_container");
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});
	$('.rel_shop_navig a').live('click', function() {
		var self = $(this);
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'show_rel_goods',
				module: 'shop',
				element_id: $('input[name=id]').val(),
				page: self.attr("page"),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.data)
				{
					$(".rel_all_goods_container").html(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});
	var search = '';
	var cat_id = '';
	$('.rel_shop_search, .rel_shop_cat_id').live('keyup change', function() {
		if($(this).is('.rel_shop_search'))
		{
			search = $(this).val();
		}
		if($(this).is('.rel_shop_cat_id'))
		{
			cat_id = $(this).val();
		}
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'show_rel_goods',
				module: 'shop',
				element_id: $('input[name=id]').val(),
				search: search,
				cat_id: cat_id,
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.data)
				{
					$(".rel_all_goods_container").html(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
	});
	$('.rel_shop a').live('click', function() {
		var self = $(this);
		if (! self.parents('.rel_shop').find('div').is('.rel_shop_selected'))
		{
			$.ajax({
				url : window.location.href,
				type : 'POST',
				dataType : 'json',
				data : {
					action: 'rel_goods',
					module: 'shop',
					rel_id: self.parents(".rel_shop").attr("element_id"),
					element_id: $('input[name=id]').val(),
					check_hash_user : $('.check_hash_user').text()
				},
				success : (function(response)
				{
					self.parents('.rel_shop').find('div').addClass('rel_shop_selected');
					if (response.data)
					{
						$(".rel_goods").html(prepare(response.data));
					}
					if (response.id)
					{
						$("input[name=id]").val(response.id);
					}
					if (response.hash)
					{
						$('input[name=check_hash_user]').val(response.hash);
						$('.check_hash_user').text(response.hash);
					}
				})
			});
		}
		else
		{
			$.ajax({
				url : window.location.href,
				type : 'POST',
				dataType : 'json',
				data : {
					action: 'delete_rel_good',
					module: 'shop',
					element_id : $('input[name=id]').val(),
					rel_id : self.parents(".rel_shop").attr("element_id"),
					check_hash_user : $('.check_hash_user').text()
				},
				success : (function(response)
				{
					self.parents('.rel_shop').find('div').removeClass('rel_shop_selected');
					$(".rel_good[rel_id="+self.parents(".rel_shop").attr("element_id")+"]").remove();

					if (response.hash)
					{
						$('input[name=check_hash_user]').val(response.hash);
						$('.check_hash_user').text(response.hash);
					}
				})
			});
		}
		return false;
	});
        
	$('.order_good_plus').click(function() {
		var self = $(this);
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'show_order_goods',
				module: 'shop',
				order_id: $('input[name=id]').val(),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.data)
				{
					$("#order_goods_container").html(prepare(response.data));
					$.prettyPhoto.open("#order_goods_container");
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});
	$('.order_goods_navig a').live('click', function() {
		var self = $(this);
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'show_order_goods',
				module: 'shop',
				order_id: $('input[name=id]').val(),
				search: search,
				cat_id: cat_id,
				page: self.attr("page"),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.data)
				{
					$(".order_all_goods_container").html(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});
	$('.order_goods_search, .order_goods_cat_id').live('keyup change', function() {
		if($(this).is('.order_goods_search'))
		{
			search = $(this).val();
		}
		if($(this).is('.order_goods_cat_id'))
		{
			cat_id = $(this).val();
		}
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'show_order_goods',
				module: 'shop',
				order_id: $('input[name=id]').val(),
				search: search,
				cat_id: cat_id,
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.data)
				{
					$(".order_all_goods_container").html(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
	});
	$('.order_good a').live('click', function() {
		var self = $(this);
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'add_order_good',
				module: 'shop',
				order_id: $('input[name=id]').val(),
				price_id: self.attr("price_id"),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.data)
				{
					$(".order_good_plus").parents('.tr_good').before(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
				$.prettyPhoto.close();
			})
		});
		return false;
	});
    $(".delete_order_good").live('click',function() { 
        var self = $(this);
        if (! confirm(self.attr("confirm")))
        {
            return false;
        }
		$(this).parents('.tr_good').remove();
        return false;
    });
    
	$(".param").live('mouseover', function(){
		$(this).addClass("hover");
		$(this).find(".param_actions").show();
	});
	$(".param").live('mouseout', function(){
		$(this).removeClass("hover");
		$(this).find(".param_actions").hide();
	});
	$(".param_actions a").live('click', function() {
		var self = $(this);
		if (! self.attr("action"))
		{
			return true;
		}
		if (self.attr("confirm") && ! confirm(self.attr("confirm")))
		{
			return false;
		}
		if (! self.parents(".param").find(".param_id").length)
		{
			if (self.attr("action") == "delete_param")
			{
				self.parents(".param").remove();
			}
			return false;
		}
		return false;
	});
    
	$('.param_plus').click(function() {
        $('.param:last').clone(true).appendTo('#param_table');
        $('.param:last .param_id, .param:last .param_actions a[action=down_param], .param:last .param_actions a[action=up_param]').remove();
		$('.param:last input').val('');
		$('.param:last .param_actions a[action=delete_param]').attr('confirm', '');
	});

    change_param();
	$("select[name=cat_id], select[name='cat_ids[]']").change(change_param);
	
	$(".delete_file").click(function(){
		$('input[name=delete_attachment]').val('1');
		$(this).parents('.attachment').remove();
		return false;
	});
});

function change_param()
{
	$(".shop_param, .shop_param_td").addClass("hide");
	$(".shop_param[cat0=true], .shop_param_td[cat0=true]").removeClass("hide");
	$(".shop_param[cat"+$('select[name=cat_id]').val()+"=true]").removeClass("hide");
	$(".shop_param_td[cat"+$('select[name=cat_id]').val()+"=true]").removeClass("hide");
	$("select[name='cat_ids[]'] option:selected").each(function(){
		$(".shop_param[cat"+$(this).attr("value")+"=true]").removeClass("hide");
		$(".shop_param_td[cat"+$(this).attr("value")+"=true]").removeClass("hide");
	});

	$('#price').show();
	$('#price_arr').hide();
	$(".shop_param_td").each(function(){
		if(! $(this).is(".hide"))
		{
			$('#price_arr').show();
			$('#price').hide();
		}
	});
}