<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Шаблон вывода кнопки "Купить", в котором характеристики, влияющие на цену выводятся в виде выпадающего списка
 */

if (!$result["result"]["buy"])
	return false;


if (empty($result["row"]['price']) && empty($result["row"]['price_arr']))
    return false;

if ($result["row"]["no_buy"] || empty($result["row"]["count"]))
{
	echo '<div class="shop_no_buy">' . $this->_('NO_BUY') . '</div>';
	return false;
}

echo '
<form method="post" action="" class="shop_form ajax">
<input type="hidden" name="addshop" value="'. $result["row"]["id"].'">
<input type="hidden" name="module" value="shop">
<input type="hidden" name="action" value="buy">
<input type="hidden" name="ajax" value="">';

// у товара несколько цен
if (!empty($result["row"]["price_arr"]))
{
	echo '<div class="shop_form_param">';
	foreach ($result["result"]["depends_param"] as $param)
	{
		if(! empty($result["row"]["param_multiple"][$param["id"]]))
		{
			echo $param["name"].': <select name="param'.$param["id"].'" class="inpselect">';
			foreach($param["values"] as $value)
			{
				if(! empty($result["row"]["param_multiple"][$param["id"]][$value["id"]]))
				{
					echo '<option value="'.$value["id"].'"'
					.(! empty($_GET["p" . $param["id"]]) && $_GET["p" . $param["id"]] == $value["id"] ? ' selected' : '')
					.'>'.$value["name"].'</option>';
				}
			}
			echo '</select>';
		}
	}
	echo '</div>';
	foreach($result["row"]["price_arr"] as $price)
	{
		$param_code = '';
		foreach($price["param"] as $p)
		{
			$param_code .= ' param'.$p["id"].'="'.$p["value"].'"';
		}
		echo '<div class="shop_param_price"'.$param_code.'>';
			echo '<div class="shop_price">' . $this->_('PRICE') . ': <span class="shop_price_value">' . $price["price"] . '</span> <span class="shop_price_currency">' . $result["result"]["currency"] . '</span></div>';
			if (!empty($price["old_price"]))
			{
				echo '<div class="shop_old_price">' . $this->_('OLD_PRICE') . ': <span class="shop_price_value">' . $price["old_price"] . '</span>'
				. ' <span class="shop_price_currency">' . $result["result"]["currency"] . '</span></div>';
			}
			if (! $price["count"])
			{
				echo '<span class="shop_no_buy">' . $this->_('NO_BUY') . '</span>';
			}
		echo '</div>';
	}
}
else
{
	if(! empty($result["row"]['price_param']))
	{
		foreach($result["row"]['price_param'] AS $param)
		{
			echo '<input type="hidden" name="param'.$param["id"].'" value="'.$param["value"].'">';
		}
	}
}
if (empty($result["row"]['is_file']))
{
	echo '<input type="text" class="inpnum" value="1" name="count" size="1">';
}

echo '<span class="button_wrap"><input type="submit" class="button" value="'.$this->_('BUY', false).'"></span>';
if($result["result"]["wishlist_link"])
{
	echo '<span class="button_wrap"><input type="button" class="button" value="'.$this->_('WISH', false).'" action="wish"></span>';
}

echo '<div class="error">';
if (!empty($result["row"]["count_in_cart"]))
{
	echo sprintf($this->_('GOOD_IN_CART'), BASE_PATH_HREF . $result["result"]["cart_link"], $result["row"]["count_in_cart"]);
}
echo '</div>';
echo '</form>';

if(empty($GLOBALS["include_shop_js"]))
{
	$GLOBALS["include_shop_js"] = true;
	echo '<script type="text/javascript" src="'.BASE_PATH.'modules/shop/shop.js"></script>';
}
