<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Страница отдельного товара
 */

echo '<table class="shop_id"><tr><td valign=top style="min-width: 160px;">';

//вывод артикула
if (!empty($result["article"]))
{
	echo '<div class="shop_article">' . $this->_('ARTICLE') . ': <span class="shop_article_value">' . $result["article"] . '</span></div>';
}

//вывод изображений товара
if (!empty($result["img"]))
{
	echo '<div class="shop_all_img">';
	foreach ($result["img"] as $img)
	{
		switch ($img["type"])
		{
			case 'animation':
				echo '<a href="' . BASE_PATH . $img["link"] . '" rel="prettyPhoto[gallery' . $result["id"] . 'shop]">';
				break;
			case 'big_image':
				echo '<a href="' . BASE_PATH . $img["link"] . '" rel="big_image" width="' . $img["link_width"] . '" height="' . $img["link_height"] . '">';
				break;
			default:
				echo '<a href="' . BASE_PATH_HREF . $img["link"] . '">';
				break;
		}
		echo '<img src="' . $img["src"] . '" width="' . $img["width"] . '" height="' . $img["height"] . '" alt="' . $img["alt"] . '" title="' . $img["title"] . '">'
		. '</a> ';
	}
	echo '</div>';
}

//вывод рейтинга товара
if (!empty($result["show_rating"]))
{
	echo $this->_('RATING').": ";
	echo $result["show_rating"];
	echo '<br><br>';
}

//вывод формы оценки товара
if (!empty($result["add_rating"]))
{
	echo $result["add_rating"];
}

echo '</td><td valign=top width="90%">';

//вывод цены товара
if (!empty($result["price"]))
{
	echo '<div class="shop_price">' . $this->_('PRICE') . ': <span class="shop_price_value">' . $result["price"] . '</span> <span class="shop_price_currency">' . $result["currency"] . '</span></div>';
	if (!empty($result["old_price"]))
	{
		echo '<div class="shop_old_price">' . $this->_('OLD_PRICE') . ': <span class="shop_price_value">' . $result["old_price"] . '</span>'
		. ' <span class="shop_price_currency">' . $result["currency"] . '</span></div>';
	}
}

//скидка на товар
if (!empty($result["discount"]))
{
	echo '<div class="shop_discount">' . $this->_('DISCOUNT') . ': <span class="shop_discount_value">' . $result["discount"] . ' %' . ($result["discount_finish"] ? ' (' . $this->_('TO') . ' ' . $result["discount_finish"] . ')' : '') . '</span></div>';
}
//кнопка "Купить"
$this->get('form', 'shop', array("row" => $result, "result" => $result));

if (!empty($result['hit']))
{
	echo '<div class="shop_hit">' . $this->_('SHOP_HIT') . '</div>';
}
if (!empty($result['action']))
{
	echo '<div class="shop_action">' . $this->_('SHOP_ACTION') . '</div>';
}
if (!empty($result['new']))
{
	echo '<div class="shop_new">' . $this->_('SHOP_NEW') . '</div>';
}

//параметры товара
if (!empty($result["param"]))
{
	$this->get('param', 'shop', $result["param"]);
}

//краткое описание товара
if ($result['anons'])
{
	echo '<div class="shop_anons">' . $result['anons'] . '</div>';
}

//полное описание товара
echo '<div class="shop_text">' . $result['text'] . '</div>';

//теги товара
if (!empty($result["tags"]))
{
	echo $result["tags"];
}

echo '</td></tr></table>';

//комментарии к товару
if (!empty($result["comments"]))
{
	echo $result["comments"];
}

//ссылки на предыдущий и последующий товар
if (!empty($result["previous"]) || !empty($result["next"]))
{
	echo '<div class="previous_next_links">';
	if (!empty($result["previous"]))
	{
		echo '<div class="previous_link"><a href="' . BASE_PATH_HREF . $result["previous"]["link"] . '">&larr; ' . $result["previous"]["text"] . '</a></div>';
	}
	if (!empty($result["next"]))
	{
		echo '<div class="next_link"><a href="' . BASE_PATH_HREF . $result["next"]["link"] . '">' . $result["next"]["text"] . ' &rarr;</a></div>';
	}
	echo '</div>';
}