<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Subscribtion_install
 *
 * Установка модуля "Рассылка"
 */

$title = "Рассылки";

$sql = array(
	"INSERT INTO {modules} (name, module_name, admin) VALUES ('subscribtion', 'subscribtion', '1')",

	"CREATE TABLE {subscribtion} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`created` INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`send` CHAR(1) NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`nameLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`textLANG` text NOT NULL DEFAULT '',")."
		`trash` CHAR(1) NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8",

	"CREATE TABLE {subscribtion_category} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`nameLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		`act` CHAR(1) NOT NULL DEFAULT '0',
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`textLANG` text NOT NULL DEFAULT '',")."
		`parent_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`count_children` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
		`trash` CHAR(1) NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY parent_id (`parent_id`)
	) CHARSET=utf8",

	"CREATE TABLE {subscribtion_category_parents} (
		`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`parent_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {subscribtion_category_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` CHAR(1) NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (27, 25)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('subscribtion', 'subject', 'Рассылка сайта %%title (%%url). %%subject')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('subscribtion', 'subject', 'Subscription of web site %%title (%%url). %%subject', 2)"
);

$adminsite = array(
	24 =>
	array (
		'name' => 'Рассылки',
		'rewrite' => 'subscribtion',
		'group_id' => '2',
		'text' => '<p>С помощью этого модуля производится массовая рассылка сообщений подписчикам сайта. Для удобства, рассылки можно группировать по темам. Рассылка может занять продолжительное время. После запуска рассылки не закрывайте окно браузера до завершения процесса, в конце которого вы увидите информационное сообщение.<br />
<a href="base_path/subscribtion/config/">Настройки модуля &quot;Рассылки&quot;</a>.</p>
<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
		'numrow' => '347',
		'sort' => '15',
		'act' => '1',
		'child' =>
		array (
			0 =>
			array (
				'name' => 'Рассылки',
				'rewrite' => 'subscribtion',
				'group_id' => '1',
				'text' => '<p>С помощью этого модуля производится массовая рассылка сообщений подписчикам сайта. Для удобства, рассылки можно группировать по темам. Рассылка может занять продолжительное время. После запуска рассылки не закрывайте окно браузера до завершения процесса, в конце которого вы увидите информационное сообщение.<br />
<a href="base_path/subscribtion/config/">Настройки модуля &quot;Рассылки&quot;</a>.</p>
<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
				'numrow' => '5',
				'sort' => '25',
				'act' => '1',
			),
			1 =>
			array (
				'name' => 'Категории',
				'rewrite' => 'subscribtion/category',
				'group_id' => '2',
				'text' => '<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
				'numrow' => '2355',
				'sort' => '26',
				'act' => '1',
			),
			2 =>
			array (
				'name' => 'Настройки',
				'rewrite' => 'subscribtion/config',
				'group_id' => '2',
				'text' => '<p><a target="_blank" href="http://cms.diafan.ru/dokument/">Полная документация и помощь</a></p>',
				'numrow' => '83',
				'sort' => '27',
				'act' => '0',
			),
		),
	),
);

$example = array(	
	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('subscribtion', 'cat', '1')",

	"INSERT INTO {subscribtion_category} (id, ".multilang("nameLANG,")." act, sort) VALUES (
		1,
		".multilang("'Новости сайта',", "'News of site',", "'',")."
		'1',
		1
	);",

	"INSERT INTO {subscribtion_category} (id, ".multilang("nameLANG,")." act, sort) VALUES (
		2,
		".multilang("'Новые поступления',", "'New goods',", "'',")."
		'1',
		2
	);",

	"INSERT INTO {subscribtion_category} (id, ".multilang("nameLANG,")." act, sort, count_children) VALUES (
		3,
		".multilang("'для СМИ',", "'For mass medium',", "'',")."
		'1',
		3,
		2
	);",

	"INSERT INTO {subscribtion_category} (id, ".multilang("nameLANG,")." act, sort, parent_id) VALUES (
		4,
		".multilang("'Газеты',", "'Newspapers',", "'',")."
		'1',
		4,
		3
	);",

	"INSERT INTO {subscribtion_parents} (`element_id`, `parent_id`) VALUES (4, 3)",

	"INSERT INTO {subscribtion_category} (id, ".multilang("nameLANG,")." act, sort, parent_id) VALUES (
		5,
		".multilang("'ТВ',", "'TV',", "'',")."
		'1',
		5,
		3
	);",

	"INSERT INTO {subscribtion_parents} (`element_id`, `parent_id`) VALUES (5, 3)"
);