<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.0
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Votes_admin_config
 *
 * Конфигурирование модуля "Голосование"
 */
class Votes_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file	=	'votes_config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table = array(
			'config'=>
array (
  'security_user' => 'checkbox',
  'security' => 'select',
  'order' => 'select',
)
		);

		$this->config_module = array(
			'config' => 1  //файл настроек модуля
		);
		
		$this->select_arr["security"] = array(
			0 => _LANG_NOT,
			2 => _ADMIN_VOTES_CONFIG_SECURITY_2,
			3 => _ADMIN_VOTES_CONFIG_SECURITY_3,
			4 => _ADMIN_VOTES_CONFIG_SECURITY_4
		);
		$this->select_arr["order"] = array(
			0 => _ADMIN_VOTES_CONFIG_ORDER_0,
			1 => _ADMIN_VOTES_CONFIG_ORDER_1
		);
	}
}